List Template Fragments

Returns a list of all the Template Fragments belonging to a Template.

KeyDescription
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

TEMPLATE_ID

The custom template ID

Write the code

Add the following to list-fragments.sh:

curl GET "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID/template_fragments" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json'

View full source

Run your code

Save this file to your machine and run it:

sh list-fragments.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named list-fragments.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to list-fragments.js:

const run = async () => {
  try {
    for await (const fragment of vonage.verify2.listAllTemplateFragments(VERIFY_TEMPLATE_ID)) {
      console.log(fragment);
    }
  } catch (error) {
    console.error(error);
  }
};

run();

View full source

Run your code

Save this file to your machine and run it:

node list-fragments.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named ListTemplateFragments and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the ListTemplateFragments file:

val existingTemplate = client.verify.template(VERIFY_TEMPLATE_ID)
val fragments = existingTemplate.listFragments()
fragments.forEach { println(it.fragmentId) }

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates.fragments with the package containing ListTemplateFragments:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.fragments.ListTemplateFragments

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named ListTemplateFragments and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the ListTemplateFragments file:

var fragments = client.getVerify2Client().listTemplateFragments(VERIFY_TEMPLATE_ID);
fragments.forEach(f -> System.out.println(f.getFragmentId()));

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing ListTemplateFragments:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.ListTemplateFragments

Prerequisites

composer require vonage/client

Create a file named list-fragments.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to list-fragments.php:

$fragment = $client->verify2()->listTemplateFragments(TEMPLATE_ID);

View full source

Run your code

Save this file to your machine and run it:

php list-fragments.php

Prerequisites

gem install vonage

Create a file named list-template-fragments.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_PRIVATE_KEY)
)

View full source

Write the code

Add the following to list-template-fragments.rb:

template_fragment_list = client.verify2.template_fragments.list(template_id: VERIFY_TEMPLATE_ID)

View full source

Run your code

Save this file to your machine and run it:

ruby list-template-fragments.rb